#ifndef __UDS_2ESERVICE_Main_H
#define __UDS_2ESERVICE_Main_H

#include "TYW_stdint.h"
#include "UDS_2EService_Filter.h"
#include "UDS_2EService_Internal.h"
#include "UDS_Common.h"
//#include "Services_ODO.h"
#include "Services_Mileage.h"

void UDS_Service_2E_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_2EService_DID(void);
void UDS_2EService_DID_F183(void);
void UDS_2EService_DID_F184(void);
void UDS_2EService_DID_F185(void);
void UDS_2EService_DID_F190(void);
void UDS_2EService_DID_F1F0(void);
void UDS_2EService_DID_F1F1(void);
void UDS_2EService_DID_605C(void);
void UDS_2EService_DID_605D(void);
void UDS_2EService_DID_605E(void);
void UDS_2EService_DID_605F(void);
void UDS_2EService_DID_6060(void);
void UDS_2EService_DID_6062(void);
void UDS_2EService_DID_6063(void);
void UDS_2EService_DID_6064(void);
void UDS_2EService_DID_6068(void);
void UDS_2EService_DID_606D(void);
void UDS_2EService_DID_606E(void);
void UDS_2EService_DID_606F(void);
void UDS_2EService_DID_6070(void);
void UDS_2EService_DID_6071(void);
void UDS_2EService_DID_6072(void);
void UDS_2EService_DID_6073(void);
void UDS_2EService_DID_6074(void);
void UDS_2EService_DID_6075(void);
void UDS_2EService_DID_6076(void);
void UDS_2EService_DID_60C9(void);
void UDS_2EService_DID_60CA(void);
void UDS_2EService_DID_60CB(void);
void UDS_2EService_DID_60CC(void);
void UDS_2EService_DID_60CD(void);
void UDS_2EService_DID_60CE(void);
void UDS_2EService_DID_60CF(void);
void UDS_2EService_DID_60D0(void);
void UDS_2EService_DID_60D1(void);
void UDS_2EService_DID_60D2(void);
#endif